function navBar(data){
	var ulHtml = '<ul class="layui-nav layui-nav-tree">';
	for(var i=0;i<data.length;i++){
		if(data[i].spread){
			ulHtml += '<li class="layui-nav-item layui-nav-itemed">';
		}else{
			ulHtml += '<li class="layui-nav-item">';
		}
		if(data[i].childMenus != undefined && data[i].childMenus.length > 0){
			ulHtml += '<a href="javascript:;">';
			if(data[i].icon != undefined && data[i].icon != ''){
				if(data[i].icon - 0 == 0){
					data[i].icon = "&nbsp;";
				}
				if(data[i].icon.indexOf("icon-") != -1){
					ulHtml += '<i class="iconfont '+data[i].icon+'" data-icon="'+data[i].icon+'"></i>';
				}else{
					ulHtml += '<i class="layui-icon" data-icon="'+data[i].icon+'">'+data[i].icon+'</i>';
				}
			}
			ulHtml += '<cite>'+data[i].name+'</cite>';
			ulHtml += '<span class="layui-nav-more"></span>';
			ulHtml += '</a>'
			ulHtml += '<dl class="layui-nav-child">';
			for(var j=0;j<data[i].childMenus.length;j++){
				ulHtml += '<dd><a href="javascript:;" data-url="'+data[i].childMenus[j].description+'?menuId='+data[i].childMenus[j].id+'">';
				if(data[i].childMenus[j].icon != undefined && data[i].childMenus[j].icon != ''){
					if(data[i].childMenus[j].icon - 0 == 0){
						data[i].childMenus[j].icon = "&nbsp;";
					}
					if(data[i].childMenus[j].icon.indexOf("icon-") != -1){
						ulHtml += '<i class="iconfont '+data[i].childMenus[j].icon+'" data-icon="'+data[i].childMenus[j].icon+'"></i>';
					}else{
						ulHtml += '<i class="layui-icon" data-icon="'+data[i].childMenus[j].icon+'">'+data[i].childMenus[j].icon+'</i>';
					}
				}
				ulHtml += '<cite>'+data[i].childMenus[j].name+'</cite></a></dd>';
			}
			ulHtml += "</dl>"
		}else{
			ulHtml += '<a href="javascript:;" data-url="'+data[i].description+'?menuId='+data[i].id+'">';
			if(data[i].icon != undefined && data[i].icon != ''){
				if(data[i].icon - 0 == 0){
					data[i].icon = "&nbsp;";
				}
				if(data[i].icon.indexOf("icon-") != -1){
					ulHtml += '<i class="iconfont '+data[i].icon+'" data-icon="'+data[i].icon+'"></i>';
				}else{
					ulHtml += '<i class="layui-icon" data-icon="'+data[i].icon+'">'+data[i].icon+'</i>';
				}
			}
			ulHtml += '<cite>'+data[i].name+'</cite></a>';
		}
		ulHtml += '</li>'
	}
	ulHtml += '</ul>';
	return ulHtml;
}
